* {
    font-family: 'Quicksand';
}

.titleContainer {
    text-align: center;
}
.titleContainer .title {
    font-size: 24px;
    font-weight: bold;
    margin: 0.5rem 0 0.5rem 0;
    padding: 0.5rem;
    border: 1px solid rgba(255, 255, 255, 0.5);
    /* backdrop-filter: brightness(40%); */
    backdrop-filter: brightness(40%);
    border-radius: 10px;
    box-shadow: 0 5px 45px rgba(0, 0, 0, 0.1);
    display: inline-block;
    text-align: center;
}

#gallery {
    column-count: 5;
    column-gap: 10px;
}

#gallery img {
    width: 100%;
    margin-bottom: 15px;
    display: block;
    border-radius: 8px;
}

.popupDisplaySmall {
    display: none;
}

.imageContainer {
    position: relative;
}
.imageContainer .miniLikeContainer {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 5px; right: 5px;
    width: 22px; height: 22px;
    border: 1px solid #fff;
    border-radius: 5px;
    cursor: pointer;
    background-color: #0000007a;
}
.imageContainer .miniLikeContainer i {
    font-size: 16px;
    color: #fff;
}
.imageContainer .liked {
    border-color: #ffc300;
}
.imageContainer .liked i {
    color: #ffc300;
}

















.popup-overlay {
    display: none;
    position: fixed;

    font-family: 'Quicksand';
    font-size: 16px;
    font-weight: 600;

    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
    z-index: 1000;
    color: #000000;
}

.popup-content {
    position: relative;
    background: #fff;
    border-radius: 15px;
    padding: 20px;
    width: 90%;
    height: 90%;
    max-width: 1200px;
    max-height: 90vh;
    text-align: center;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.5);
    overflow: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    box-sizing: border-box;
}

.popup-content .containerText {
    width: 100%;
}

.popup-content .containerComment {
    display: none;
    width: 100%;
    height: auto;
    flex-direction: column;
    gap: 10px;
}

.popup-content .containerComment .containerButton {
    display: flex;
    gap: 10px;
}

.popup-content .popupImage {
    max-width: 100%;
    max-height: 90%;
    object-fit: contain;
    border-radius: 10px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
}

.popup-content h3 {
    width: 100%;
    text-align: left;
    margin: 0 0 10px 0;
    font-size: 1.8rem;
    color: #222;
    font-weight: 600;
}

.popup-content p {
    width: 100%;
    text-align: left;
    font-size: 1rem;
    color: #000000;
    line-height: 1.6;
}

.popup-close {
    position: absolute;
    width: 100px;
    height: 40px;
    top: 30px;
    right: 30px;
    font-size: 20px;
    color: #000000;
    background: none;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    transition: color 0.3s ease;
    background-color: #ffffff;
    justify-content: center;
    align-items: center;
}

.popupContainerButton {
    width: 100%;
    height: 50px;
    display: flex;
    justify-content: space-between;
}

.popupContainerButtonRight {
    display: flex;
    justify-content: space-between;
    gap: 10px;
}

.divContainerCommentButtonsReplyAndDelete {
    display: flex;
    justify-content: left;
    gap: 5px;
    flex-direction: row;
    flex-wrap: wrap;
}

.popupButton {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    width: auto;
    height: 50px;
    padding: 0 20px;
    border: #9b9b9b solid 1px;
    background-color: transparent;
    border-radius: 5px;
    font-size: 16px;
    gap: 3px;
}

.popupButtonReply {
    position: relative;
    width: 120px;
    height: 35px;
    padding: 0 10px;
    border: #9b9b9b solid 1px;
    background-color: transparent;
    border-radius: 5px;
    font-size: 16px;
}

.popupButtonRed {
    position: relative;
    width: fit-content;
    height: 35px;
    padding: 0 10px;
    background-color: transparent;
    border-radius: 5px;
    font-size: 16px;
    border: #ff0000 solid 1px;
    color: #ff0000;
}

.popupButtonLikeCreator {
    position: relative;
    width: fit-content;
    min-height: 35px;
    padding: 0 10px;
    border-radius: 5px;
    font-size: 16px;
    background-color: #ffc300;
    border: #fff solid 1px;
    color: #fff;
}

.popupButtonUnLikeCreator {
    position: relative;
    width: fit-content;
    min-height: 35px;
    padding: 0 10px;
    border-radius: 5px;
    font-size: 16px;
    background-color: transparent;
    border: #ffc300 solid 1px;
    color: #ffc300;
}

.popupButton, .popupButtonReply, .popupButtonRed, .popupButtonLikeCreator:hover {
    cursor: pointer;
}

.popupTextArea {
    flex: 1;
    min-height: 50px;
    padding: 10px;
    border: #9b9b9b solid 1px;
    background-color: transparent;
    border-radius: 5px;
    font-size: 16px;
    box-sizing: border-box;
    resize: none;
    overflow: hidden;
    text-align: left;
}

.popupTextArea:focus {
    outline: none;
}

.spanNumberLike {
    color: #000000a2;
}

.popupButtonUserinfo {
    display: flex;
    align-items: center;
    position: relative;
    width: auto;
    height: 50px;
    padding: 0 7px 0 5px;
    border: #9b9b9b solid 1px;
    background-color: transparent;
    border-radius: 5px;
    color: #000000;
    box-sizing: border-box;
}

.popupButtonUserinfo a div {
    color: #000000;
    font-size: 16px;
    font-weight: bold;
}

.popupButtonUserinfo img {
    width: auto;
    height: 40px;
    background-color: transparent;
    border-radius: 5px;
    margin-right: 5px;
}

.popup-close:hover {
    color: #9b9b9b;
}

.popupDisplayComments {
    display: flex;
    flex-direction: column;
    margin-top: 10px;
    gap: 30px;
}

.popupDivCommentAvatar {
    display: flex;
    flex-direction: row;
}

.popupCommentBorder {
    padding: 5px;
    border-left: #9b9b9b solid 2px;
}

.popupDivContainerCommentPlaceAvatar {
    width: 60px;
    display: flex;
    flex-direction: column;
    gap: 5px;
    position: relative;
}

.divAvatarLikeCreator {
    width: 60px;
    display: flex;
    justify-content: center;
    position: relative;
    align-items: center;
}

.popupHeartAvatarLikeCreator {
    position: absolute;
    width: 20px;
    height: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;

    top: 60px;
    right: 7px;
    color: rgba(255, 0, 0, 0.74);
    background-color: #ffffff81;
    padding: 1px 2px 0px 2px;
    pointer-events: none;
    box-sizing: border-box;
}

.popupImgAvatar {
    max-width: 60px;
    width: auto;
    height: 40px;
    object-fit: contain;
}

.popupImgAvatarLikeCreator {
    max-width: 60px;
    width: auto;
    height: 30px;
    object-fit: contain;
}

.popupDivComment {
    display: flex;
    flex-direction: column;
    gap: 5px;
    text-align: start;
    width: 100%;
}

.popupLinkUserName {
    color: #000000;
}

.popupSpanDate {
    color: #696969;
    font-size: 12px;
}

.popupSpanDate:first-of-type {
    margin: 0 0 0 10px;
}

.popupSpanContent {
    line-break: auto;
    color: #000000;
}

.popupCommentMessageValidation {
    display: flex;
    align-items: center;
    height: 50px;
    padding: 5px 20px;
    border: #9b9b9b solid 1px;
    background-color: #14ad007e;
    border-radius: 5px;
    font-size: 16px;
    box-sizing: border-box;
}


/* ? Laptop 1024px */
/* @media screen and (max-width: 1024px) {
    #gallery {
        column-count: 5;
        column-gap: 15px;
    }
    #gallery img {
        margin-bottom: 15px;
    }
} */


@media screen and (max-width: 800px) {
    #gallery {
        padding: 10px;
    }
}


/* ? Tablet 768px */
@media screen and (max-width: 768px) {
    #gallery {
        column-count: 4;
        column-gap: 10px;
    }
    #gallery img {
        margin-bottom: 10px;
    }

    .popup-content {
        padding: 10px;
    }
    
    .popup-overlay {
        font-size: 14px;
    }

    .popupDisplayLarge {
        display: none;
    }

    .popupButton, .popupButtonReply, .popupButtonRed, .popupButtonLikeCreator, .popupButtonUnLikeCreator, .popupTextArea, .popup-content p {
        font-size: 12px;
    }
    .popupButton, .popupButtonReply, .popupButtonRed {
        width: fit-content;
        height: 25px;
        padding: 0 10px;
    }
    #popupLike, #popupShare, #popupClose {
        height: 40px;
        font-size: 13px;
    }
    
    .popup-content p {
        line-height: normal;
        padding: 0 10px;
    }

    .popupDisplayComments {
        gap: 15px;
    }

    .popupSpanDate {
        font-size: 10px;
    }

    .popupSpanDate:first-of-type {
        margin: 0 0 0 0;
    }

    .popupContainerButtonRight {
        gap: 3px;
    }

    #popupInfoCreatorLink {
        height: 40px;
        font-size: 13px;
    }
    #popupInfoCreatorProfilImage {
        height: 30px;
    }
}


/* ? Mobile M 425px */
@media screen and (max-width: 425px) {
    #gallery {
        column-count: 2;
        column-gap: 10px;
    }
    #gallery img {
        margin-bottom: 10px;
    }
}

/* ? Mobile  320px */
@media screen and (max-width: 320px) {
    #gallery {
        column-count: 2;
        column-gap: 10px;
    }
    #gallery img {
        margin-bottom: 10px;
    }
}